@echo off
cls
choice /C ON /M "Ce script doit ˆtre d‚marr‚ en tant qu'Administrateur. Voulez-vous poursuivre ?"
if %errorlevel%==1 (goto begin) else (goto fin)

:begin
rem if "%1" == "" (set CCAM=ccam71_add8.fse) else set CCAM=%1
rem cd C:\Medialogis\JFSE\Serveur\dbupdate
if not exist C:\Medialogis\JFSE\Serveur\conf\wrapper.conf (goto noJFSE)
if not exist C:\Medialogis\Temp\JFSE_2.11_MAJ_Serveur_AllInOne\dbupdate\cdcAdd8_JFSE211-JFSE212_20230929.fse (goto nofile)
echo Arrˆt du service des FSE...
echo Veuillez patienter...
sc stop RESIP-FSE-Serveur
if %errorlevel%==0 (goto copyFiles) else (if %errorlevel%==1062 (goto copyFiles) else goto refusStop)

:noJFSE
cls
choice /C O /N /D O /T 9999 /M "MAJ jFSE Serveur 2.11 : jFSE Serveur n'est pas install‚ dans C:\Medialogis\JFSE\Serveur. Veuillez appeler M‚dialogis au 01 55 43 00 43 (ne fermez pas cette fenˆtre)."
goto fin

:copyFiles
rem Suppression des r‚pertoires obsolŠtes :
rd /Q /S C:\Medialogis\JFSE\Serveur\bin\webapp\jfse-gui
rd /Q /S C:\Medialogis\JFSE\Serveur\bin\webapp\jfse-web
rem Copie de sauvegarde de la configuration du Wrapper
rename C:\Medialogis\JFSE\Serveur\conf\wrapper.conf wrapper_sav.conf
rem Installation de la mise … jour
xcopy C:\Windows\Temp\JFSE_2.11_MAJ_Serveur_AllInOne\. C:\Medialogis\JFSE\Serveur /E /C /I /Q /R /Y
del /Q C:\Medialogis\JFSE\Serveur\conf\wrapper.conf
rename C:\Medialogis\JFSE\Serveur\conf\wrapper_sav.conf wrapper.conf
if %errorlevel%==0 (goto start) else (goto noCopy)

:refusStop
cls
choice /C O /N /D O /T 9999 /M "MAJ jFSE Serveur 2.11 : le service des FSE n'a pas pu ˆtre arrˆt‚. La MAJ ne peut pas ˆtre effectu‚e. Veuillez appeler M‚dialogis au 01 55 43 00 43 (ne fermez pas cette fenˆtre)."
goto fin

:noCopy
cls
choice /C O /N /D O /T 9999 /M "MAJ jFSE Serveur 2.11 : la copie des fichiers de la mise … jour a ‚chou‚. Veuillez appeler M‚dialogis au 01 55 43 00 43 (ne fermez pas cette fenˆtre)."
goto fin

:start
echo Temporisation...
choice /C:ON /N /D O /T:5
cls
echo D‚marrage du service des FSE...
echo Veuillez patienter...
sc start RESIP-FSE-Serveur
if %errorlevel%==0 (goto startok) else (goto refusStart)

:nofile
cls
choice /C O /N /D O /T 9999 /M "MAJ jFSE Serveur 2.11 : les fichiers de la mise … jour n'existent pas. Veuillez appeler M‚dialogis au 01 55 43 00 43 (ne fermez pas cette fenˆtre).
goto fin

:startok
cls
echo La mise … jour est en cours de finalisation. Le programme des FSE sera de nouveau disponible sur les postes clients dŠs que l'ic“ne du lecteur S‚sam-Vitale (rouge actuellement) sera pass‚e au vert. 
echo Cela peut n‚cessiter plusieurs minutes.
pause
goto fin

:refusStart
cls
echo MAJ jFSE Serveur 2.11 : le service des FSE n'a pas pu ˆtre d‚marr‚. Veuillez red‚marrer ce PC pour finaliser la mise … jour.
choice /C ON /M "Voulez-vous red‚marrer ce PC tout de suite ?"
if %errorlevel%==1 (shutdown /r /f /t 0)
goto fin

:fin
exit